MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024134Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-08-29 11:102013-12-19 13:59
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024134: Wrong result of projection point on the face
DescriptionWrong result done by projection algorithm used Extrema_ExtAlgo_Tree on Linux platform.

The problem has been detected in the test case bugs modalg_2 bug22109_2.
Steps To Reproducerestore [locate_data_file bug22109_tore.brep] b
explode b f; copy b_1 f
point p 934.419505115097 1387.10553740067 8.42056376938594e-014

1. projponf f p -t
   # proj dist = 0.12838488109689752
2. projponf f p -g
   # proj dist = 9.6466487311889823e-13

TagsNo tags attached.
Test case numberbugs moddata_3(013) bug24134
Attached Files

- Relationships

-  Notes
(0025752)
azv (developer)
2013-09-26 15:44

Branch CR24134.
Changed Accept() functions for Bnd_SphereUBTreeSelector classes for properly distance calculation, since myMinDist/myMaxDist variables are compared with radii of spheres.
(0025756)
ifv (developer)
2013-09-26 17:23

Ok
(0025763)
mkv (tester)
2013-09-27 09:56

Dear BugMaster,

Branch CR24134 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d94b10c0be10f82f1fb7b610057a8bca5bd5efa1

Number of compiler warnings:

occt component :
Linux: 505 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24134-master-occt/Debian60-64/bugs/moddata_3/bug24134.html [^]
http://occt-tests/CR24134-master-occt/Windows-32-VC9/bugs/moddata_3/bug24134.html [^]
bugs moddata_3(013) bug24134: OK

Testing on Linux:
Total MEMORY difference: 366328452 / 366214620
Total CPU difference: 43788.36000000144 / 42280.160000000964

Testing on Windows:
Total MEMORY difference: 429016740 / 428820696
Total CPU difference: 42055.875 / 47627.96875

There are not differences in images found by testdiff.

- Related Changesets
occt: master aeaf53d5
Timestamp: 2013-09-27 06:32:19
Author: azv
Committer: bugmaster
Details ] Diff ]
0024134: Wrong result of projection point on the face
Changed Bnd_SphereUBTreeSelector for the Extrema_ExtAlgo_Tree projection algorithm properly work
Test case for issue CR24134
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug24134 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-29 11:10 emv New Issue
2013-08-29 11:10 emv Assigned To => ifv
2013-09-10 17:58 ifv Assigned To ifv => azv
2013-09-20 15:05 emv Relationship added child of 0023958
2013-09-26 15:44 azv Note Added: 0025752
2013-09-26 15:44 azv Assigned To azv => ifv
2013-09-26 15:44 azv Status new => resolved
2013-09-26 17:23 ifv Note Added: 0025756
2013-09-26 17:23 ifv Status resolved => reviewed
2013-09-27 07:06 mkv Assigned To ifv => mkv
2013-09-27 09:56 mkv Note Added: 0025763
2013-09-27 09:57 mkv Test case number => bugs moddata_3(013) bug24134
2013-09-27 09:57 mkv Assigned To mkv => bugmaster
2013-09-27 09:57 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master aeaf53d5
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-11-06 11:22 bugmaster Target Version => 6.7.0
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker